D-Bus 1.13.18

Data Fields
DBusDataSlotAllocator Struct Reference

An allocator that tracks a set of slot IDs. More...

`#include <dbus-dataslot.h>`

## Data Fields
DBusAllocatedSlot * | allocated_slots
| Allocated slots.
int | n_allocated_slots
| number of slots malloc'd
int | n_used_slots
| number of slots used
DBusGlobalLock | lock
| index of thread lock

## Detailed Description

An allocator that tracks a set of slot IDs.

Definition at line 55 of file dbus-dataslot.h.

The documentation for this struct was generated from the following file:

- dbus-dataslot.h